Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Interface VerifiableAgentName

All Superinterfaces:
  javax.agent.AgentName

All Known Implementing Classes:
  VerifiableAgentNameImpl

public interface VerifiableAgentName
extends javax.agent.AgentName

An agent name which can be verified as created by a VerifiableAgentNamingService.

See Also:
  `VerifiableAgentNamingService`

Method Summary
`java.lang.String` | `getAuthority()` Method getAuthority
`java.lang.String` | `getKerbPrincipal()` Method getKerbPrincipal
`java.lang.String` | `getLevel()` Method getLevel
`java.lang.String` | `getName()` Method getName
`VerifiableAgentName` | `getPreviousVan()` Method getName
`java.security.PublicKey` | `getPublicKey()` Method getPublicKey
`VerifiableAgentName` | `getVanOfInitiator()` This method will return the VAN of the initiator.
`void` | `setPreviousVan(VerifiableAgentName thePrevVan)` Method setPreviousVan

Methods inherited from interface javax.agent.AgentName
`acceptSerializer, equals, hashCode`

Method Detail

### getName

    public java.lang.String getName()

  Method getName

  Returns:
    The name of this agent.

### getAuthority

    public java.lang.String getAuthority()

  Method getAuthority

  Returns:
    The URI of the ANS that created this verifiable name

### getPublicKey

    public java.security.PublicKey getPublicKey()

  Method getPublicKey

  Returns:
    The public key of the agent who this name belongs to.

### getKerbPrincipal

    public java.lang.String getKerbPrincipal()

  Method getKerbPrincipal

  Returns:
    The Kerberos Principal of this verifiable name.

### getPreviousVan

    public VerifiableAgentName getPreviousVan()

  Method getName

  Returns:
    The previous VAN of this verifiable name

### setPreviousVan

    public void setPreviousVan(VerifiableAgentName thePrevVan)

  Method setPreviousVan

  Parameters:
    `thePrevVan` - The previous VAN of this VAN.

### getLevel

    public java.lang.String getLevel()

  Method getLevel

  Returns:
    The security level of this VAN

### getVanOfInitiator

    public VerifiableAgentName getVanOfInitiator()

  This method will return the VAN of the initiator.

  VANs are used to nest each VAN along the chain of request. If A initiated something, and A asks B who asks C who asks D, then D must want decide to do this request or not. Many times D will want to know who initiated the request.

  Returns:
    The VAN of the initiator

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005